# coding: utf-8
lib = File.expand_path('../lib/', __FILE__)
$:.unshift(lib) unless $:.include?(lib)

Gem::Specification.new do |s|
  s.name          = 'pritch'
  s.version       = '0.0.2'
  s.platform      = Gem::Platform::RUBY
  s.authors       = ['Benjamin Kammerl']
  s.email         = ['benny@itws.de']
  s.description   = "Command line tool, which let's you switch between projects like a pro (grammer)"
  s.summary       = 'pritch is a handy tool which should help you to get back into your project or task as fast as possible'
  s.homepage      = 'https://github.com/phortx/pritch'
  s.license       = 'MIT'

  s.required_ruby_version     = '>= 2.0.0'

  s.files         = `git ls-files`.split($/)
  s.executables   = s.files.grep(/^bin\//) { |f| File.basename(f) }
  s.test_files    = s.files.grep(/^spec\//)
  s.require_paths = ['lib']
  s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.extra_rdoc_files = ['README.md']

  s.add_development_dependency 'bundler', '~> 1.5'
  s.add_development_dependency 'rake', '~> 10.1'

  s.add_dependency 'colorize', '~> 0.7'
end
